/* ***************************************************************************+
 * ITX package (cnrg.itx) for telephony application programming.              *
 * Copyright (c) 1999  Cornell University, Ithaca NY.                         *
 * A copy of the license is distributed with this package.  Look in the docs  *
 * directory, filename GPL.  Contact information: bergmark@cs.cornell.edu     *
 ******************************************************************************/
package cnrg.itx.ds;

/**
 * Element class provides support for list data structure to interface with the node element.
 */
class Element
{
	private Object m_object = null;
	private Element m_next = null;
	
	public void setObject(Object newObject){
		m_object = newObject;
	}
	
	public void setNext(Element newElement){
		m_next = newElement;
	}
	
	public Object getObject(){
		return m_object;
	}
		
	public Element getNext() {
		return m_next;
	}
}
